Laravel Debugbar 初体验

一、


Laravel   不能用最新的版本(可能你的php版本大于5。5。9就可以)

packagist.org/packages/barryvdh/laravel-debugbar#v2.1.3 

Laravel Debugbar具体php对应版本请看上

二、什么是composer.json

它是对于每个Laravel(Lumen)项目的根目录下面,用于记录更新的?

三、composer

虽然composer是一个依赖库管理,但是必须在Laravel(Lumen)项目的根目录打开控制台而且当前项目下必须有composer.json,才可以更新依赖等操作

四、Laravel Debugbar

经测试新版的Lumen能用,Laravel要对应v2.1.3之前。可能是我的php是5。5。9

而且集成进去之后,除了在

对于 Lumen 而言,在bootstrap/app.php中注册服务提供者:

if (env('APP_DEBUG')) {

$app->register(Barryvdh\Debugbar\LumenServiceProvider::class);

}

然后在$app->run();改为$app->run($app['request']);(可能是我没有路由重写到public,如果用原来的run不能出来)

推荐阅读更多精彩内容